package com.hzya.frame.sys.proof.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.sys.appApi.entity.AppApi;
import com.hzya.frame.sys.proof.entity.ProofEntity;
import com.hzya.frame.sys.proof.entity.PullVo;

import java.util.List;

/**
 * @description: 凭证  dao
 * @tableName: sys_proof
 * @entityName: ProofEntity
 * @author: gjh
 * @history: 1.0
 */
public interface IProofDao extends IBaseDao<ProofEntity, String> {
    List<PullVo> queryProject(PullVo pullVo);

    List<PullVo> querySupplier(PullVo pullVo);

    List<PullVo> queryClient(PullVo pullVo);

    List<PullVo> querySalesman(PullVo pullVo);

    List<PullVo> querySection(PullVo pullVo);

    List<PullVo> querySob(PullVo pullVo);

    List<PullVo> queryReceiptConf(PullVo pullVo);

    List<PullVo> queryFzhs(PullVo jfpullVo);

    List<PullVo> queryXM(PullVo dfpullVo);
    List<PullVo> queryGys(PullVo dfpullVo);
    List<PullVo> queryKh(PullVo dfpullVo);
    List<PullVo> queryYwy(PullVo dfpullVo);
    List<PullVo> queryBm(PullVo dfpullVo);

    List<PullVo> querySubject(PullVo pullVo);

    List<ProofEntity> queryProofPrepare(ProofEntity entity);

    List<ProofEntity> queryPushProof(ProofEntity entity);
}
